#!../../bin/linux-x86/mbsmon

## You may have to change mbsmon to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/mbsmon.dbd")
mbsmon_registerRecordDeviceDriver(pdbbase)

## Load record instances
# one line for each MBS node to be monitored. PV names as used for GUI are built like FOPI:name@mbs1
dbLoadRecords("db/dbMbsMonitor.db","user=FOPI, mbsnode=mbs1, mbsname=lxi010, scan=1 second, evhirange=30000, kbhirange=1500")
dbLoadRecords("db/dbMbsMonitor.db","user=FOPI, mbsnode=mbs2, mbsname=lxi011, scan=1 second, evhirange=30000, kbhirange=1500")
dbLoadRecords("db/dbMbsMonitor.db","user=FOPI, mbsnode=mbs3, mbsname=lxi012, scan=1 second, evhirange=30000, kbhirange=1500")
dbLoadRecords("db/dbMbsMonitor.db","user=FOPI, mbsnode=mbs4, mbsname=lxi013, scan=1 second, evhirange=30000, kbhirange=1500")
dbLoadRecords("db/dbMbsMonitor.db","user=FOPI, mbsnode=mbs5, mbsname=r3-2, scan=1 second, evhirange=30000, kbhirange=1500")

# load the summation record:
dbLoadRecords("db/dbMbsSums.db","user=FOPI, mbsnode1=mbs1,mbsnode2=mbs2,mbsnode3=mbs3,mbsnode4=mbs4,mbsnode5=mbs5,mbsnode6=mbs6,mbsnode7=mbs7,mbsnode8=mbs8, scan=2 second ,evhirange=300000, kbhirange=15000")

## Set this to see messages from mySub
#var mySubDebug 1

cd ${TOP}/iocBoot/${IOC}
iocInit()

## Start any sequence programs
